Update Stock
curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/seller/offer/stock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerList": [
{
"channel": "MYBESTDEALCOMDE",
"offerId": 5437233,
"sellerId": "4711",
"quantity": "<string>",
"channelOfferId": "XCD233554"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/offer/stock"
payload = { "offerList": [
{
"channel": "MYBESTDEALCOMDE",
"offerId": 5437233,
"sellerId": "4711",
"quantity": "<string>",
"channelOfferId": "XCD233554"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offerList: [
{
channel: 'MYBESTDEALCOMDE',
offerId: 5437233,
sellerId: '4711',
quantity: '<string>',
channelOfferId: 'XCD233554'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/offer/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
Update Stock
Lightweight request which update stock amount only for already listed offers. If a offer is not yet listed the requests will be ignored.
PUT
/
v1
/
seller
/
offer
/
stock
Update Stock
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
Stock-level changes for one or more existing offers.
Batch of stock-quantity updates for existing offers, identified per channel and seller.
Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
Response
Created
Was this page helpful?
⌘I